possible_vpu <- c("01", "08", "10L", "15", "02", "04", "05", "06", 
                  "07", "09", "03S", "03W", 
                  "03N", "10U", "11", "12", 
                  "13", "14",  "16", "17", "18")


vpu_codes <- VPU <- vpu <- "01"

check_file <- file.path("temp/", paste0(VPU, ".lock"))

if(!file.exists(check_file)) {
  cat("...", file = check_file)
  
  source("R/config.R")
  source("R/utils.R")
  
  unlink(rfc_gpkg)
  unlink(nav_gpkg)
  unlink(ND_gpkg)
  unlink(gf_gpkg)
  unlink(temp_gpkg)
  unlink(vpu_lookup_table_file)
  
  for(r in rpu_codes$rpuid) {
    unlink(paste0("cache/", r, "_refactor.gpkg"))
  }
  
  rmarkdown::render('01_NHD_prep.Rmd', 
                    output_file=paste0('temp/01_NHD_prep_', VPU, '.html'))
  
  rmarkdown::render('02_NHD_navigate.Rmd', 
                    output_file=paste0('temp/02_NHD_navigate_', VPU, '.html'))
  
  for(rpu_code in rpu_codes$rpuid) {
    
    source("R/config.R")
    
    unlink(out_agg_gpkg)
    unlink(lookup_table_file)
    
    rmarkdown::render("05_hyRefactor_flines.Rmd",
                      output_file = paste0("temp/05_hyRefactor_flines_", rpu_code, ".html"))
    
    rmarkdown::render("06-1_hyRefactor_cats.Rmd",
                      output_file = paste0("temp/06-1_hyRefactor_cats_", rpu_code, ".html"))
    
    rmarkdown::render("06-2_aggregate_cats.Rmd",
                      output_file = paste0("temp/06-2_aggregate_cats_", rpu_code, ".html"))
  }
  
  rmarkdown::render("07-1_merge.Rmd",
                    output_file = "temp/07-1_merge_test.html")
  
  rmarkdown::render("07-2_NonDend.Rmd",
                    output_file = "temp/07-2_NonDend_test.html")
  
  if(is.na(Sys.getenv("sb_user", unset=NA))){
    message("upload skipped due to lack of login info")
  } else {
    
    library(sbtools)
    
    authenticate_sb(Sys.getenv("sb_user", unset=""), Sys.getenv("sb_pass", unset=""))
    
    sb_reference <- "61295190d34e40dd9c06bcd7"
    sb_refactor <- "61fbfdced34e622189cb1b0a"
    sb_gf <- "60be1502d34e86b9389102cc"
    
    sbtools::item_replace_files(sb_reference, nav_gpkg)
    sbtools::item_replace_files(sb_refactor, rfc_gpkg)
    sbtools::item_replace_files(sb_gf, gf_gpkg)
  }

}
